﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:d="http://xamarin.com/schemas/2014/forms/design"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             mc:Ignorable="d"
             x:Class="ElbaTestTask.Views.LoadPage">
    <ContentPage.Content>
        <StackLayout VerticalOptions="CenterAndExpand" HorizontalOptions="CenterAndExpand">
            <Button Text="Get Data" FontSize="24" BackgroundColor="BlueViolet" TextColor="AliceBlue" Command="{Binding GetDataCommand}"></Button>
            <ActivityIndicator Color="BlueViolet" IsRunning="{Binding IsLoading}" IsVisible="{Binding IsLoading}" HeightRequest="100"></ActivityIndicator>
        </StackLayout>
    </ContentPage.Content>
</ContentPage>